/* styles for my form exercise */
* {
    padding:0;
    margin:0;
    box-sizing: border-box;
}

/* I am adding padding to my body for demonstration puroses only. REMOVE THE PADDING once you start working on your homework */
body {
    /* we removed these from the form exercise */
    /* background:#eee; */
    /* padding:100px; */
}

#wrapper {
    width:940px;
    margin:30px auto;
}

main {
    width:580px;
    float:left;

}

aside {
    width:340px;
    float:right;
    margin-top:20px;
}

footer {
    clear:both;
    height:60px;
    line-height:60px;
    /* this displays content centered without floating */
    display:flex;
    justify-content: center;
    border-top:1px dotted #800;
}

footer ul {
    display:flex;
}

footer li {
    list-style-type: none;
    margin:0 10px;
}

img {
    max-width:100%;
    display:block;
    margin-bottom:5px;
}

form {
    max-width: 580px;
    margin-bottom: 20px;
}
fieldset {
    padding:10px;
    border-radius:5px;
    border:1px dotted #800;
}

legend {
    font-size:1.3em;
    font-style:italic;
    padding: 0 5px 0 5px;
}



label {
    display:block;
    margin-bottom:5px;
    font-weight: bold;
    font-size:1.1em;
}
input {
    margin-bottom: 10px;
    height: 30px;
    width: 100%;
}
/* This is an attribute selector and don't put a space in front of the [ */
input[type="submit"] {
    width:auto;
}

input[type=radio],
input[type=checkbox] {
    height:auto;
    width:auto;
    margin-right: 3px;
    margin-bottom: 3px;
}

form li {
    list-style-type: none;
}

form ul {
    margin-left:15px;
    margin-bottom: 10px;
}

select {
    margin-bottom:10px;
}

textarea {
    width:100%;
    height: 150px;
    margin-bottom: 10px;
}

h1 {
    color:#800;
    font-size:3em;
    margin-bottom:12px;
}

h3 {
    font-size:1.75em; 
    margin-bottom: 10px;
    font-weight: bold;
}

aside p {
    margin-bottom: 20px;
}
